<?php
/*
Plugin Name: bitpay
Plugin URI: http://bitpay.ir/plugins
Description: bitpay getway for wordpress
Version: 1.2
Author: bitpay developement team
Author URI: http://bitpay.ir
License: GPL2
*/
	load_plugin_textdomain('bitpay','wp-content/plugins/bitpay/langs');

	include_once('inc/bitpay.class.php');
	$bitpay = new bitpay;

	if(get_option('api')) {
		$bitpay->api = get_option('api');
	}

	function bitpay_menu() {
		if (function_exists('add_options_page')) {
			add_menu_page(__('bitpay', 'bitpay'), __('bitpay', 'bitpay'), 'manage_options', 'bitpay/setting.php', 'bitpay_menupage', plugin_dir_url( __FILE__ ).'/images/bitpay_favicon.png');
			add_submenu_page('bitpay/setting.php', __('تنظيمات درگاه bitpay', 'bitpay'), __('تنظيمات درگاه bitpay', 'bitpay'), 'manage_options', 'bitpay/setting.php', 'bitpay_menupage');
		}
	}
	add_action('admin_menu', 'bitpay_menu');

	function bitpay_menupage() {
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'bitpay'));
		}

		settings_fields('bitpay_options');
		function register_bitpay() {
			register_setting('bitpay_options', 'api');
		}

		include_once('setting.php');
	}

	function bitpay_form() {

			global $current_user, $bitpay;
			include_once('inc/form.php');

			if($_POST['submit_payment']) {

				if($_POST['payer_name'] && $_POST['payer_price']) {

					$bitpay->Price = $_POST['payer_price'];
					$bitpay->ReturnPath = urlencode('http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']);

					if($bitpay->Request()) {

						switch($bitpay->Request()) {

							case '-1':
								echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در bitpay سازگار نیست.', 'bitpay') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('مقدار amount داده عددی نمی باشد.', 'bitpay') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('مقدار redirect رشته null است.', 'bitpay') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __('درگاهی با اطلاعات ارسالی شما یافت نشده و یا در حالت انتظار می باشد.', 'bitpay') . '</p>';
								break;
						}
					} else {
						add_option('user_price_' . $current_user->ID, $_POST['payer_price']);
						update_option('user_price_' . $current_user->ID, $_POST['payer_price']);
					}
				} else {
					echo '<p class="error-payment">' . __('لطفا تمام فيلد هارا کامل کنيد', 'bitpay') . '</p>';
				}
			}

			$bitpay->Price = get_option('user_price_' . $current_user->ID);
            if($_POST['trans_id']){
			switch($bitpay->Verify()) {

				case '-1':
					echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در bitpay سازگار نیست.', 'bitpay') . '</p>';
					continue;

				case '-2':
					echo '<p class="error-payment">' . __('trans_id ارسال شده معتبر نمی باشد.', 'bitpay') . '</p>';
					continue;

				case '-3':
					echo '<p class="error-payment">' . __('id_get ارسالی معتبر نمی باشد.', 'bitpay') . '</p>';
					continue;

				case '-4':
					echo '<p class="error-payment">' . __('چنین تراکنشی در سیستم وجود ندارد و یا موفقیت آمیز نبوده است.', 'bitpay') . '</p>';
					continue;

				case 1:
					echo '<p class="success-payment">' . sprintf(__('تراکنش موفقيت آميز بود. <br /> شماره رهگيري: %s ', 'bitpay'), $bitpay->RefNumber) . '</p>';
					continue;
			}}

			delete_option('user_price_' . $current_user->ID);
	}
	
	add_shortcode('bitpay', 'bitpay_form');
	add_filter('widget_text', 'do_shortcode');
?>